# dialog.h File Reference

## Classes

class | wxDialog
| A dialog box is a window with a title bar and sometimes a system menu, which can be moved around the screen. More...
class | wxDialogLayoutAdapter
| This abstract class is the base for classes that help wxWidgets perform run-time layout adaptation of dialogs. More...

## Enumerations

enum | wxDialogLayoutAdaptationMode { wxDIALOG_ADAPTATION_MODE_DEFAULT = 0, wxDIALOG_ADAPTATION_MODE_ENABLED = 1, wxDIALOG_ADAPTATION_MODE_DISABLED = 2 }
| Modes used for wxDialog::SetLayoutAdaptationMode(). More...

## Enumeration Type Documentation

enum wxDialogLayoutAdaptationMode

Modes used for wxDialog::SetLayoutAdaptationMode().

Enumerator:

  wxDIALOG_ADAPTATION_MODE_DEFAULT | Use global adaptation enabled status.
  wxDIALOG_ADAPTATION_MODE_ENABLED | Enable this dialog overriding global status.
  wxDIALOG_ADAPTATION_MODE_DISABLED | Disable this dialog overriding global status.

|  | [ top ]